Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cnrg.itx.gtwy.pbx
Class Dialer

    java.lang.Object
      |
      +--java.lang.Thread
            |
            +--cnrg.itx.gtwy.pbx.Dialer

public class Dialer
extends java.lang.Thread

This class handles placing one call in the PBX, from a line in the Gateway to some telephone number specified by a caller

Field Summary
`static int` | `TIMEOUT`

Fields inherited from class java.lang.Thread
`MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

Constructor Summary
`Dialer(PBXSignaling p, boolean logging, cnrg.itx.signal.InvitePacket sp, java.lang.String from, java.lang.String to, java.net.Socket gs)` Base constructor for Dialer class
`Dialer(PBXSignaling p, cnrg.itx.signal.InvitePacket sp, java.lang.String from, java.lang.String to, java.net.Socket gs)` Constructor with default logging (which is none)

Method Summary
`boolean` | `callInProgress()` This method returns true if the PBX has successfully placed a call and this call is still in progress.
`boolean` | `dialingInProgress()` This method returns true is the PBX is in the act of dialing a destination telephone.
`void` | `run()` This method runs the thread - this thread continues to run until the call is hungup, or the PBX Server is shut down, or placing the call failed (then we exit right away).

Methods inherited from class java.lang.Thread
`activeCount, checkAccess, countStackFrames, currentThread, destroy, dumpStack, enumerate, getContextClassLoader, getName, getPriority, getThreadGroup, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, resume, setContextClassLoader, setDaemon, setName, setPriority, sleep, sleep, start, stop, stop, suspend, toString, yield`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### TIMEOUT

    public static final int TIMEOUT

Constructor Detail

### Dialer

    public Dialer(PBXSignaling p,
                  boolean logging,
                  cnrg.itx.signal.InvitePacket sp,
                  java.lang.String from,
                  java.lang.String to,
                  java.net.Socket gs)
           throws DialingException

  Base constructor for Dialer class
  Parameters:
    `p` - is the PBXSignaling object that is creating this Dialer
    `logging` - is TRUE if PBX Server is logging to the terminal
    `sp` - is the InvitePacket that contains a dial request
    `from` - is the telephone number from which call will be place
    `to` - is the telephone number to be called
    `gs` - is the Socket over which our Gateway is talking to us
  Throws:
    DialingException - thrown in there is no provider

### Dialer

    public Dialer(PBXSignaling p,
                  cnrg.itx.signal.InvitePacket sp,
                  java.lang.String from,
                  java.lang.String to,
                  java.net.Socket gs)
           throws DialingException

  Constructor with default logging (which is none)
  Parameters:
    `p` - is the PBXSignaling object that is creating this Dialer
    `sp` - is the InvitePacket that contains a dial request
    `from` - is the telephone number from which call will be place
    `to` - is the telephone number to be called
    `gs` - is the Socket over which our Gateway is talking to us
  Throws:
    DialingException - thrown in there is no provider

Method Detail

### run

    public void run()

  This method runs the thread - this thread continues to run until the call is hungup, or the PBX Server is shut down, or placing the call failed (then we exit right away).
  Overrides:
    run in class java.lang.Thread

### callInProgress

    public boolean callInProgress()

  This method returns true if the PBX has successfully placed a call and this call is still in progress.
  Returns:
    true if call is still in progress

### dialingInProgress

    public boolean dialingInProgress()

  This method returns true is the PBX is in the act of dialing a destination telephone. The call has not yet been established.
  Returns:
    true is PBX is dialing a number

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD